Bug 729500 - Error while installing updates on Fedora 16 Alpha RC3
Error while installing updates on Fedora 16 Alpha RC3
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-08-09 19:05 EDT by Adam Williamson
Modified: 2013-02-13 21:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 21:20:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot :-( (14.63 KB, image/png)
2011-08-10 11:14 EDT, Richard Hughes
no flags Details

  None (edit)
Description Adam Williamson 2011-08-09 19:05:49 EDT
Performing http://fedoraproject.org/wiki/QA:Testcase_desktop_updates for Fedora 16 Alpha RC3, I hit a crash. I installed from the desktop live x86_64 image and ran the software update utility. It reported just over 100 updates (all updates-testing stuff, I guess). I said to install updates, and agreed to let it install additional dependencies. Some time after that (I wasn't monitoring it closely), it hit this traceback:

Error Type: <type 'exceptions.AttributeError'>
Error Value: 'file' object has no attribute 'w'
  File : /usr/lib/python2.7/site-packages/yum/rpmtrans.py, line 446, in callback
    self._instProgress( bytes, total, h )
  File : /usr/lib/python2.7/site-packages/yum/rpmtrans.py, line 524, in _instProgress
    self.complete_actions, self.total_actions)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3381, in event
    if te_total > 0:
  File : /usr/lib/python2.7/site-packages/packagekit/backend.py, line 134, in sub_percentage
    print "subpercentage\t$i" $ (percent)
  File : /usr/lib64/python2.7/codecs.py, line 383, in __getattr__
    return getattr(self.stream, name)

prima facie, as a failure of the test case, this is an Alpha blocker, under criterion "The installed system must be able to download and install updates with yum and the default graphical package manager in all release-blocking desktops".
Comment 1 Adam Williamson 2011-08-09 22:06:00 EDT
see also bug #729513 - after leaving gnome-packagekit in the failed state for a while with the traceback showing, it actually crashed. 729513 is the report for the crash.
Comment 2 Richard Hughes 2011-08-10 07:32:41 EDT
I'll try to look at this today. I'm stuck at the desktop summit in a conference room but I'm slowly downloading RC3 and will try my best.
Comment 3 Richard Hughes 2011-08-10 11:14:45 EDT
Created attachment 517642 [details]
screenshot :-(

RC3 does not boot in a F15 VM.
Comment 4 Adam Williamson 2011-08-10 12:01:41 EDT
if you're trying the live image, that's a known bug we're also tracking as a blocker - https://bugzilla.redhat.com/show_bug.cgi?id=728863 . to work around, boot with enforcing=0 . my testing was done from a DVD install, for the record.
Comment 5 Tim Flink 2011-08-10 17:21:52 EDT
Discussed in the 2011-08-10 Fedora 16 go/no-go meeting. There have not been enough reproductions of this bug to decide on blocker status at this time. Will wait for the blocker bug review meeting on friday to decided on blocker status.

Testers, please attempt to reproduce.
Comment 6 Richard Hughes 2011-08-11 10:41:52 EDT
I just loaded up F16 on a F15 host (thanks Adam!) and updated 150 packages successfully using gpk-update-viewer. It seems to work for me. Can you verify that "rpm -Va" reports no obvious problems?
Comment 7 Adam Williamson 2011-08-11 14:49:54 EDT
Okay. I'll re-test this with both live and DVD installs later and see if we can pinpoint it at all...
Comment 8 Richard Hughes 2011-08-11 17:16:06 EDT
Great, thanks.
Comment 9 Tim Flink 2011-08-12 14:52:16 EDT
Discussed in the 2011-08-12 blocker review meeting. There are still not enough reproductions to make a decision now. If this has not been reproduced by next week, will reject as alpha blocker.
Comment 10 Adam Williamson 2011-08-15 13:09:07 EDT
Discussed at the weekly QA meeting of 2011-08-15 (with anaconda team and releng in attendance). No-one else has been able to reproduce this. Agreed to reject as blocker for now, will re-propose if anyone else reproduces with RC4.
Comment 11 Fedora End Of Life 2013-01-16 19:17:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Fedora End Of Life 2013-02-13 21:20:26 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.